clarscl2.f(3)

NAME
clarscl2.f -

SYNOPSIS

  Functions/Subroutines
subroutine clarscl2 (M, N, D, X, LDX)
CLARSCL2 performs reciprocal diagonal scaling on a vector.

Function/Subroutine Documentation

  subroutine clarscl2 (integerM, integerN, real, dimension( * )D, complex, dimension( ldx, * )X, integerLDX)

Purpose:

     CLARSCL2 performs a reciprocal diagonal scaling on an vector:
       x <-- inv(D) * x
     where the REAL diagonal matrix D is stored as a vector.
     Eventually to be replaced by BLAS_cge_diag_scale in the new BLAS
     standard.

Parameters:
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of X. N >= 0.

    D

              D is REAL array, length M
         Diagonal matrix D, stored as a vector of length M.

    X

              X is COMPLEX array, dimension (LDX,N)
         On entry, the vector X to be scaled by D.
         On exit, the scaled vector.

    LDX

              LDX is INTEGER
         The leading dimension of the vector X. LDX >= 0.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2015

Definition at line 92 of file clarscl2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.